#! /usr/bin/env python

# set up parameters that we care about
PACKAGE = 'pcl_ros'

import roslib;
roslib.load_manifest (PACKAGE);
from dynamic_reconfigure.parameter_generator import *;

def add_common_parameters (gen):
  # def add (self, name, paramtype, level, description, default = None, min = None, max = None, edit_method = ""):
  gen.add ("filter_field_name", str_t, 0, "The field name used for filtering", "z")
  gen.add ("filter_limit_min", double_t, 0, "The minimum allowed field value a point will be considered from", 0.0, -5.0, 5.0)
  gen.add ("filter_limit_max", double_t, 0, "The maximum allowed field value a point will be considered from", 1.0, -5.0, 5.0)


